local Pastry = ...

-- Register Hen Breeder job
Pastry:register({
	DataType = "JOB",
	Id = "HEN_BREEDER",
	JobName = "HEN_BREEDER_NAME",
	JobDescription = "HEN_BREEDER_DESC",
	JobAnimation = "SEED",
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        ProductionDelay = 30.0,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"
})

-- Register Cowherd job
Pastry:register({
	DataType = "JOB",
	Id = "COWHERD",
	JobName = "COWHERD_NAME",
	JobDescription = "COWHERD_DESC",
	JobAnimation = "IDLE",
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        ProductionDelay = 1.2,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"
})

-- Register Cow Milker job
Pastry:register({
	DataType = "JOB",
	Id = "COW_MILKER",
	JobName = "COW_MILKER_NAME",
	JobDescription = "COW_MILKER_DESC",
	JobAnimation = "BUILD",
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        ProductionDelay = 1.2,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"
})

-- Register Dairy Maid job
Pastry:register({
	DataType = "JOB",
	Id = "DAIRY_MAID",
	JobName = "DAIRY_MAID_NAME",
	JobDescription = "DAIRY_MAID_DESC",
	JobAnimation = "IDLE",
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        ProductionDelay = 22.0,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"
})

-- Register Cheese Maker job
Pastry:register({
	DataType = "JOB",
	Id = "CHEESE_MAKER",
	JobName = "CHEESE_MAKER_NAME",
	JobDescription = "CHEESE_MAKER_DESC",
	JobAnimation = "IDLE",
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        ProductionDelay = 22.0,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"
})
